Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# RTCORBA::ClientProtocolPolicy_var Class Reference

`#include <RTCORBAC.h>`

Inheritance diagram for RTCORBA::ClientProtocolPolicy_var:

[legend]
Collaboration diagram for RTCORBA::ClientProtocolPolicy_var:

[legend]
List of all members.

## Public Methods
| ClientProtocolPolicy_var (void)
| ClientProtocolPolicy_var (ClientProtocolPolicy_ptr p)
| ClientProtocolPolicy_var (const ClientProtocolPolicy_var &)
| ~ClientProtocolPolicy_var (void)
ClientProtocolPolicy_var & | operator= (ClientProtocolPolicy_ptr)
ClientProtocolPolicy_var & | operator= (const ClientProtocolPolicy_var &)
ClientProtocolPolicy_ptr | operator-> (void) const
| operator const ClientProtocolPolicy_ptr & () const
| operator ClientProtocolPolicy_ptr & ()
ClientProtocolPolicy_ptr | in (void) const
ClientProtocolPolicy_ptr & | inout (void)
ClientProtocolPolicy_ptr & | out (void)
ClientProtocolPolicy_ptr | _retn (void)
ClientProtocolPolicy_ptr | ptr (void) const
## Static Public Methods
ClientProtocolPolicy_ptr | tao_duplicate (ClientProtocolPolicy_ptr)
void | tao_release (ClientProtocolPolicy_ptr)
ClientProtocolPolicy_ptr | tao_nil (void)
ClientProtocolPolicy_ptr | tao_narrow (CORBA::Object *ACE_ENV_ARG_DECL_NOT_USED)
CORBA::Object * | tao_upcast (void *)
## Private Methods
| ClientProtocolPolicy_var (const TAO_Base_var &rhs)
ClientProtocolPolicy_var & | operator= (const TAO_Base_var &rhs)
## Private Attributes
ClientProtocolPolicy_ptr | ptr_

## Constructor & Destructor Documentation

RTCORBA::ClientProtocolPolicy_var::ClientProtocolPolicy_var | ( | void |  | ) |

RTCORBA::ClientProtocolPolicy_var::ClientProtocolPolicy_var | ( | ClientProtocolPolicy_ptr | p | ) | `[inline]`

RTCORBA::ClientProtocolPolicy_var::ClientProtocolPolicy_var | ( | const ClientProtocolPolicy_var & |  | ) |

RTCORBA::ClientProtocolPolicy_var::~ClientProtocolPolicy_var | ( | void |  | ) |

RTCORBA::ClientProtocolPolicy_var::ClientProtocolPolicy_var | ( | const TAO_Base_var & | rhs | ) | `[private]`

## Member Function Documentation

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy_var::_retn | ( | void |  | ) |

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy_var::in | ( | void |  | ) | const

ClientProtocolPolicy_ptr& RTCORBA::ClientProtocolPolicy_var::inout | ( | void |  | ) |

RTCORBA::ClientProtocolPolicy_var::operator ClientProtocolPolicy_ptr & | ( |  | ) |

RTCORBA::ClientProtocolPolicy_var::operator const ClientProtocolPolicy_ptr & | ( |  | ) | const

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy_var::operator-> | ( | void |  | ) | const

ClientProtocolPolicy_var& RTCORBA::ClientProtocolPolicy_var::operator= | ( | const TAO_Base_var & | rhs | ) | `[private]`

ClientProtocolPolicy_var& RTCORBA::ClientProtocolPolicy_var::operator= | ( | const ClientProtocolPolicy_var & |  | ) |

RTCORBA::ClientProtocolPolicy_var & RTCORBA::ClientProtocolPolicy_var::operator= | ( | ClientProtocolPolicy_ptr | p | ) |

ClientProtocolPolicy_ptr& RTCORBA::ClientProtocolPolicy_var::out | ( | void |  | ) |

RTCORBA::ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy_var::ptr | ( | void |  | ) | const

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy_var::tao_duplicate | ( | ClientProtocolPolicy_ptr |  | ) | `[static]`

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy_var::tao_narrow | ( | CORBA::Object * | ACE_ENV_ARG_DECL_NOT_USED | ) | `[static]`

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy_var::tao_nil | ( | void |  | ) | `[static]`

void RTCORBA::ClientProtocolPolicy_var::tao_release | ( | ClientProtocolPolicy_ptr |  | ) | `[static]`

CORBA::Object* RTCORBA::ClientProtocolPolicy_var::tao_upcast | ( | void * |  | ) | `[static]`

## Member Data Documentation

ClientProtocolPolicy_ptr RTCORBA::ClientProtocolPolicy_var::ptr_`[private]`

The documentation for this class was generated from the following files:

- RTCORBAC.h
- RTCORBAC.cpp